// Parameter settings for effect sliders: Default, Minimum, Maximum, Increment.
// 0.0  0.0  0.0  0.0
// 0.0  0.0  0.0  0.0

uniform sampler2D sampler;      // Texture sampler
uniform float param1;           // Effect parameter 1 changable via slider in the GUI
uniform float param2;           // Effect parameter 2 changable via slider in the GUI
uniform float texScaleS;        // Texture scale in S for non-quadratic images
uniform float texScaleT;        // Texture scale in T for non-quadratic images

void main(void)
{
    // Effect function: None.
    gl_FragColor = texture2D(sampler, gl_TexCoord[0].xy);
}
